package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

public class B6 {

    public B6() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "起点_终点")
    private String from_to;
    @JSONField(name = "日期")
    private String currentTime;
    @JSONField(name = "姓名")
    private String name;
    @JSONField(name = "员工ID")
    private String userId;
    @JSONField(name = "员工归属单元")
    private String employeeOwnerUnit;
    @JSONField(name = "项目归属单元")
    private String projectOwnerUnit;
    @JSONField(name = "折算工日")
    private Double convertWorkday;
    @JSONField(name = "说明")
    private String explainInfo;

//    private String uploadPerson;
    @JSONField(name = "上传日期时间")
    private String uploadTime;
    @JSONField(name = "同意标志")
    private String agreeSign;

    public B6(String currentTime, String userId, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.userId = userId;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public B6(String currentTime, String projectOwnerUnit) {
        this.currentTime = currentTime;
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getFrom_to() {
        return from_to;
    }

    public void setFrom_to(String from_to) {
        this.from_to = from_to;
    }

    public String getCurrentTime() {
        return currentTime;
    }

    public void setCurrentTime(String currentTime) {
        this.currentTime = currentTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getEmployeeOwnerUnit() {
        return employeeOwnerUnit;
    }

    public void setEmployeeOwnerUnit(String employeeOwnerUnit) {
        this.employeeOwnerUnit = employeeOwnerUnit;
    }

    public String getProjectOwnerUnit() {
        return projectOwnerUnit;
    }

    public void setProjectOwnerUnit(String projectOwnerUnit) {
        this.projectOwnerUnit = projectOwnerUnit;
    }

    public Double getConvertWorkday() {
        return convertWorkday;
    }

    public void setConvertWorkday(Double convertWorkday) {
        this.convertWorkday = convertWorkday;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }


    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    public String getAgreeSign() {
        return agreeSign;
    }

    public void setAgreeSign(String agreeSign) {
        this.agreeSign = agreeSign;
    }

    @Override
    public String toString() {
        return "B6{" +
                "id=" + id +
                ", from_to='" + from_to + '\'' +
                ", currentTime='" + currentTime + '\'' +
                ", name='" + name + '\'' +
                ", employeeOwnerUnit='" + employeeOwnerUnit + '\'' +
                ", projectOwnerUnit='" + projectOwnerUnit + '\'' +
                ", convertWorkday=" + convertWorkday +
                ", explainInfo='" + explainInfo + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                ", agreeSign='" + agreeSign + '\'' +
                '}';
    }
}

